GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Delivery Class Reference

## Public Member Functions
String | getConsigneeID ()
void | setConsigneeID (String value)
Address | getAddress ()
void | setAddress (Address value)

## Protected Attributes
String | consigneeID
Address | address

## Detailed Description

Delivery of a shipment unit

Java class for Delivery complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Delivery">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ConsigneeID" type="{http://fpcs.gls-group.eu/v1/Common}ConsigneeID"/>
            <element name="Address" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Address" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 38 of file Delivery.java.

## Member Function Documentation

## ◆ getAddress()

Address eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Delivery.getAddress | ( |  | ) |

Gets the value of the address property.

Returns
  possible object is Address

Definition at line 77 of file Delivery.java.

## ◆ getConsigneeID()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Delivery.getConsigneeID | ( |  | ) |

Gets the value of the consigneeID property.

Returns
  possible object is String

Definition at line 53 of file Delivery.java.

## ◆ setAddress()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Delivery.setAddress | ( | Address | value | ) |

Sets the value of the address property.

Parameters

  value | allowed object is Address

Definition at line 89 of file Delivery.java.

## ◆ setConsigneeID()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Delivery.setConsigneeID | ( | String | value | ) |

Sets the value of the consigneeID property.

Parameters

  value | allowed object is String

Definition at line 65 of file Delivery.java.

## Member Data Documentation

## ◆ address

Address eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Delivery.address
| protected

Definition at line 43 of file Delivery.java.

## ◆ consigneeID

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Delivery.consigneeID
| protected

Definition at line 41 of file Delivery.java.

The documentation for this class was generated from the following file:

- Delivery.java